from machine import Pin
import time

# どのポートを使うかの設定(LED）
LED = Pin(0, Pin.OUT)
LED.off()

# どのポートを使うかの設定(ブザー）
BUZZER = Pin(5, Pin.OUT)
BUZZER.off()

# どのポートを使うかの設定(センサー）
SENSOR = Pin(16, Pin.IN, Pin.PULL_UP)

count = 0  # 座り続けている時間のカウント用変数

while True:  # ずっとくりかえす
    status = SENSOR.value()  # センサー（スイッチ）を読み取る
    if status == 1:  # ONなら
        LED.on()  # LEDを点灯

        count = count + 1  # カウントアップ
        if count > 10:  # カウントが10以上になったら
            BUZZER.on()  # ブザーを鳴らす

    else:  # OFFなら
        count = 0  # カウントをリセット
        LED.off()  # LEDを消灯
        BUZZER.off()  # ブザーを止める

    time.sleep_ms(1000)  # 1秒待つ

